# Object

When Horizon returns information about a claimable balance, it uses the following format:

&#x20;\- ATTRIBUTE -&#x20;

* id `string`

  A unique identifier for this claimable balance.
* paging\_tokennumber

  A cursor value for use in [pagination](https://developers.stellar.org/api/introduction/pagination/).
* asset `string`

  The asset available to be claimed in the [SEP-11 form](https://github.com/stellar/stellar-protocol/blob/0c675fb3a482183dcf0f5db79c12685acf82a95c/ecosystem/sep-0011.md#values) `asset_code:issuing_address` or `native` (for XLM)
* amount `string`

  The amount of `asset` that can be claimed.
* sponsor `string (optional)`

  The account id of the sponsor who is paying the reserves for this claimable balance.
* last\_modified\_ledgerinteger

  The sequence number of the last ledger in which this claimable balance was modified.
* last\_modified\_timestring

  An ISO 8601 formatted string of last modification time.
* claimants `array of objects`

  The list of entries that could claim the claimable balance.Hide child attributes

  * destination `string`

    The account ID who can claim the balance.
  * predicate `object`

    The condition which must be satisfied so `destination` can claim the balance.Hide child attributes

    * unconditional `boolean (optional)`

      If true it means this clause of the condition is always satisfied.
    * and `array of objects (optional)`

      The array will always contain two elements which also are predicates. This clause of the condition is satisfied if both of the two elements in the array are satisfied.
    * or `array of objects (optional)`

      The array will always contain two elements which also are predicates. This clause of the condition is satisfied if at least one of the two elements in the array are satisfied.
    * not `object (optional)`

      The value is also a predicate. This clause of the condition is satisfied if the value is *not* satisfied.
    * absBefore `string (optional)`

      An ISO 8601 formatted string representing a deadline for when the claimable balance can be claimed. If the balance is claimed before the date then this clause of the condition is satisfied.
    * relBefore `string (optional)`

      A relative deadline for when the claimable balance can be claimed. The value represents the number of seconds since the close time of the ledger which created the claimable balance.

```bash
{
  "_links": {
    "self": {
      "href": "https://expansion-testnet.bantu.network/claimable_balances/000000000102030000000000000000000000000000000000000000000000000000000000"
    }
  },
  "id": "000000000102030000000000000000000000000000000000000000000000000000000000",
  "paging_token": "000000000102030000000000000000000000000000000000000000000000000000000000",
  "asset": "native",
  "amount": "10.0000000",
  "claimants": [
    {
      "destination": "GC3C4AKRBQLHOJ45U4XG35ESVWRDECWO5XLDGYADO6DPR3L7KIDVUMML",
      "predicate": {
        {
          "and": [
            {
              "or": [
                {
                  "relBefore": "12"
                },
                {
                  "absBefore": "2020-08-26T11:15:39Z"
                }
              ]
            },
            {
              "not": {"unconditional": true}
            }
          ]
        }
      }
    }
  ],
  "last_modified_ledger": 28411995,
  "last_modified_time": "2020-02-26T19:29:16Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.docs.bantufoundation.org/api/resources/claimablebalances/object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
